Retrieve a template
curl --request GET \
--url https://api.spacebring.com/contracts/templates/v1/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spacebring.com/contracts/templates/v1/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spacebring.com/contracts/templates/v1/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"createDate": "2023-11-07T05:31:56Z",
"file": {
"key": "<string>",
"url": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"type": "<string>"
}Contracts
Retrieve a template
Retrieve a contract template.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
contracts
/
templates
/
v1
/
{templateId}
Retrieve a template
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the template.
Response
OK
The template.
Show child attributes
Show child attributes
Was this page helpful?
⌘I